Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Class AbstractContactCenterEval

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
          umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterEval

All Implemented Interfaces:
  ContactCenterEval, ContactCenterInfo

Direct Known Subclasses:
  AbstractContactCenterSim

    public abstract class AbstractContactCenterEval

extends AbstractContactCenterInfo
implements ContactCenterEval

Defines basic methods to implement a contact center evaluation system.

Constructor Summary
`AbstractContactCenterEval()`

Method Summary
`String` | `formatStatistics()` Formats information about every performance measure after `ContactCenterEval.eval()` is called.
`boolean` | `formatStatisticsExcel(WritableWorkbook wb)` Constructs and returns an JExcel API workbook containing the results of the evaluation, and appends the contents of the generated report to the workbook `wb`.
`String` | `formatStatisticsLaTeX()` Formats and returns a statistical report that can be included into a LATEX document.
`Map<String,Object>` | `getEvalInfo()` Represents information about this evaluation system that should be included in any report produced by `ContactCenterEval.formatStatistics()`.
`ReportParams` | `getReportParams()` Returns the parameters for reports formatted by `ContactCenterEval.formatStatistics()`, or `ContactCenterEval.formatStatisticsExcel(WritableWorkbook)`.
`boolean` | `isVerbose()` Determines if the implementation should print information during the evaluation of the performance measures.
`void` | `setReportParams(ReportParams reportParams)` Sets the report parameters to `reportParams`.
`void` | `setVerbose(boolean v)` Sets the verbose status to `v`.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.AbstractContactCenterInfo
`getAgentGroupName, getAgentGroupProperties, getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeName, getContactTypeProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getMatrixOfAWTName, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueName, getWaitingQueueProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterEval
`eval, getEvalOption, getEvalOptions, getPerformanceMeasure, getPerformanceMeasures, hasEvalOption, hasPerformanceMeasure, reset, seemsUnstable, setEvalOption`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterInfo
`getAgentGroupName, getAgentGroupProperties, getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeName, getContactTypeProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getDefaultUnit, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getMatrixOfAWTName, getNumAgentGroups, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypes, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypes, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriods, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumMatricesOfAWT, getNumOutContactTypes, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueues, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueName, getWaitingQueueProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Constructor Detail

### AbstractContactCenterEval

    public AbstractContactCenterEval()

Method Detail

### isVerbose

    public boolean isVerbose()

  Description copied from interface: `ContactCenterEval`
  Determines if the implementation should print information during the evaluation of the performance measures. The information depends on the type of evaluation method being involved. It can include steps or iterations of an approximation algorithm, or information about important elements of a simulation. Summary information should be printed on the standard output while debugging data, e.g., traces of every event in a simulation, should be sent to log files if they are generated. By default, the verbose mode is disabled.

  Specified by:
    `isVerbose` in interface `ContactCenterEval`
  Returns:
    `true` if the implementation is in verbose mode, `false` otherwise (the default).

### setVerbose

    public void setVerbose(boolean v)

  Description copied from interface: `ContactCenterEval`
  Sets the verbose status to `v`. If `v` is `true`, verbose mode is enabled. Otherwise, it is disabled.

  Specified by:
    `setVerbose` in interface `ContactCenterEval`
  Parameters:
    `v` - `true` to activate verbose mode, `false` to disable it.
  See Also:
    `ContactCenterEval.isVerbose()`

### getEvalInfo

    public Map<String,Object> getEvalInfo()

  Description copied from interface: `ContactCenterEval`
  Represents information about this evaluation system that should be included in any report produced by `ContactCenterEval.formatStatistics()`. The information is organized as (key, value) pairs in a map. This information may include steps of an approximation, number of iterations, etc. One can modify the returned map to add custom information. The content of this map should not affect the process of the evaluation; it is used only for building the statistical report. One can use evaluation options for system parameters.

  Specified by:
    `getEvalInfo` in interface `ContactCenterEval`
  Returns:
    the evaluation information.

### getReportParams

    public ReportParams getReportParams()

  Description copied from interface: `ContactCenterEval`
  Returns the parameters for reports formatted by `ContactCenterEval.formatStatistics()`, or `ContactCenterEval.formatStatisticsExcel(WritableWorkbook)`. If no object containing report parameters is available, this method should create a new one using the default constructor of `ReportParams`.

  Specified by:
    `getReportParams` in interface `ContactCenterEval`
  Returns:
    the printed statistics.

### setReportParams

    public void setReportParams(ReportParams reportParams)

  Description copied from interface: `ContactCenterEval`
  Sets the report parameters to `reportParams`.

  Specified by:
    `setReportParams` in interface `ContactCenterEval`
  Parameters:
    `reportParams` - the report parameters..
  See Also:
    `ContactCenterEval.getReportParams()`

### formatStatistics

    public String formatStatistics()

  Description copied from interface: `ContactCenterEval`
  Formats information about every performance measure after `ContactCenterEval.eval()` is called. It can be simulation statistics, information about the steps of an approximation algorithm, or simply the values of all performance measures. This method should call `ContactCenterEval.getEvalInfo()` to obtain general information about the evaluation and incorporate the information into the returned string. For each entry in the map, the method should add a `key: value` line in the string. Then, the method appends the performance measures to the returned string. The `PerformanceMeasureFormatText` class can be used to convert matrices of performance measures into strings. If the evaluation was not triggered by calling `ContactCenterEval.eval()` before this method is called, an `IllegalStateException` is thrown. If no statistical information is available even after the evaluation, this method should return an empty string instead of throwing an exception.

  Specified by:
    `formatStatistics` in interface `ContactCenterEval`
  Returns:
    a string containing a statistical report.

### formatStatisticsLaTeX

    public String formatStatisticsLaTeX()

  Description copied from interface: `ContactCenterEval`
  Formats and returns a statistical report that can be included into a LATEX document. This is similar to `ContactCenterEval.formatStatistics()`, except the generated report is in LATEX rather than plain text.

  Specified by:
    `formatStatisticsLaTeX` in interface `ContactCenterEval`
  Returns:
    the formatted report.

### formatStatisticsExcel

    public boolean formatStatisticsExcel(WritableWorkbook wb)

  Description copied from interface: `ContactCenterEval`
  Constructs and returns an JExcel API workbook containing the results of the evaluation, and appends the contents of the generated report to the workbook `wb`. This method may add multiple sheets, e.g., for general and detailed information. This method should add the information in the map returned by `ContactCenterEval.getEvalInfo()` to a sheet in the workbook. This method returns `true` if and only if the given workbook was modified.

  One can then customize the returned workbook as needed. The method `WritableWorkbook.write()` can be used to export the workbook to an output stream. This can be used to create files that can be opened directly by Microsoft Excel for results analysis and reporting. Excel documents can also be opened by open source software such as OpenOffice.org, KOffice, etc.

  Specified by:
    `formatStatisticsExcel` in interface `ContactCenterEval`
  Parameters:
    `wb` - the workbook to append report to.
  Returns:
    `true` if and only if the given workbook was modified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.